Ask / Submit
36

Openrepos problems with 1.0.8.19

asked 2014-07-14 23:27:18 +0300

cy8aer gravatar image

updated 2014-07-31 14:22:42 +0300

jiit gravatar image

After the upgrade to 1.0.8.19 I have problems with the update check on open warehouse. I get a transaction /3079_xxxx status: non-authorized, extra details: failed to obtain authentication. This did work with 1.0.7.x This can be an issue with the sailfish upgrade but maybe the openrepos has actual problems?

edit retag flag offensive close delete

Comments

confirm same behaviour here ;-(

fl ( 2014-07-14 23:41:46 +0300 )edit

I can confirm this too

sjn ( 2014-07-15 01:50:35 +0300 )edit

Confirmed here as well

strongm ( 2014-07-15 02:41:43 +0300 )edit

I seem to have a similar probem. Upon my request to update I get the error message

Transaction /2837_ecdacace Status: not authorized.

I had given the warehouse app root privilidges as indicated Wickedsten below.

Thanks for any help

immo ( 2014-07-17 12:12:48 +0300 )edit

Fixed version released. Exist more ways how update it. Download and install via browser (Basil's answer), start Warehouse from terminal under devel-su and update self, etc... :)

Kaacz ( 2014-07-17 14:07:32 +0300 )edit

3 Answers

Sort by » oldest newest most voted
24

answered 2014-07-15 08:02:42 +0300

Basil gravatar image

updated 2014-07-15 20:19:33 +0300

Latest sailfishos update activated policykit, note the "Changes to RPM side-loading and packagekit authorization" here.

Manual warehouse update will be required. My phone didnt recieved update yet, so waiting until it hits the phone, or sdk will be updated at 12utc 15 july.

Update 2014-07-15: Warehouse version 0.3-18 released. It will add basic policykit config file, so Warehouse will be able to work with repositories and manage applications.

Download and install Warehouse via browser.

Changelog:

  • Basic polkit auth policy added
  • Application changelog shown
  • Fast single-repo refresh when enabling new repository
  • Fast repository disabling
edit flag offensive delete publish link more

Comments

So there will be a fix for Warehouse (and instructions how to upgrade it) ?

Upp15 ( 2014-07-15 10:26:19 +0300 )edit

Of course. I'll update my post with details. For now, you can use workaround suggested by @Wickedsten

Basil ( 2014-07-15 10:29:31 +0300 )edit

New version working fine.

strongm ( 2014-07-17 20:04:00 +0300 )edit
6

answered 2014-07-14 23:40:41 +0300

Wickedsten gravatar image

updated 2014-07-15 10:45:58 +0300

App requires root permissions to update repos.

  1. Enable Developer mode in settings and set password
  2. Start terminal
  3. In terminal, type devel-su --privileged harbour-warehouse then type password set in step 1
edit flag offensive delete publish link more

Comments

Yes, seems to be a permission problem. It works as root.

cy8aer ( 2014-07-14 23:47:34 +0300 )edit

works for me, thanks! :-)

fl ( 2014-07-14 23:50:21 +0300 )edit
1

instead of 3/4 you could also do:

3.) type into terminal: devel-su -c harbour-warehouse

4.) Enter Password.

...doesnt look like a big difference, but this can also be saved, for example with ShellEx: https://openrepos.net/content/acce/shellex ...then you only have to type the password, and not remember the package name ;-) (when using ShellEx tap and hold on your snipped and select "run in fingerterm")

fl ( 2014-07-15 01:21:40 +0300 )edit

Also works for me thanks.

ninepine ( 2014-07-15 01:35:57 +0300 )edit
5

This is not a fix, it's a workaround. Which specific file/directory permissions need to be set?

sjn ( 2014-07-15 01:53:34 +0300 )edit
4

answered 2014-07-15 12:05:30 +0300

cy8aer gravatar image

I hereby declare that I will read the release notes with time and without the "nownownow"-update in my mind!

https://together.jolla.com/question/50175/release-notes-software-version-10819-tahkalampi/#50175-note-to-developers

edit flag offensive delete publish link more
Login/Signup to Answer

Question tools

Follow
15 followers

Stats

Asked: 2014-07-14 23:27:18 +0300

Seen: 3,181 times

Last updated: Jul 15 '14